#include "win.h"

extern HANDLE hMutex;
extern HANDLE hMapObject;
extern float* lpMem;

BOOL APIENTRY DllMain(HMODULE hModule,
                      DWORD   ul_reason_for_call,
                      LPVOID  lpReserved
                      )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
#ifdef _DLL
		DisableThreadLibraryCalls(hModule);
#endif
		break;

	case DLL_THREAD_ATTACH:
		break;

	case DLL_THREAD_DETACH:
		break;

	case DLL_PROCESS_DETACH:

		// Unmap the file view if there is one
		if (lpMem)
			UnmapViewOfFile(lpMem);

		//Close the mapped file's handle
		if (hMapObject)
			CloseHandle(hMapObject);

		if (hMutex)
			CloseHandle(hMutex);

		break;

	default:
		break;
	}
	return TRUE;
}
