#pragma once

#pragma once

#pragma warning(push)
#pragma warning(disable:4200)
template<typename T>
struct FSArray {
	int size;
	T data[];
};

struct FSBitmap {
	int width;
	int height;
	int channels;
	unsigned char data[];
};
#pragma warning(pop)

using FSFrame = FSArray<float>;

union FSValue {
	int i;
	float f;
	bool b;
	char const* str;
	FSArray<int> const* int_array;
	FSArray<float> const* float_array;
	FSArray<char*> const* string_array;
	FSFrame* frame;
	FSBitmap const* bmp;
};
